<?php 

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_GET["comentar"] == true) {
$id = $_GET["id"];
if(!isset($_SESSION["logado"]) == 1) {
	echo $bbcode->bbcode('<div class="w_note">......Necessario logar-se para comentar.</div>');
}
else{
	echo $bbcode->bbcode('<div class="i_note">......Respeite nossa politica de uso, e evite ser punido ao comentar em artigos.</div>
   <div class="box_conteudo"><br><br>
   Personagem: <select name="char" id="char"><br><br><br><br><br><br>');
   $perso = mssql_query("select name from character where accountid='".$_SESSION["login"]."'");
   for($i=0;$i<mssql_num_rows($perso);$i++) {
   	$pega = mssql_fetch_row($perso); 
	echo $bbcode->bbcode('<option value="'.$pega[0].'">'.$pega[0].'</option><br><br><br><br><br>');
}
   echo $bbcode->bbcode('<br><br><br><br><br><br></select>
  <label><textarea name="comentario" id="comentario" cols="45" rows="5"></textarea></label><br><br>
  
  <br><br><label><button type="submit" name="comentar" id="comentar" onclick="loading(\'?go=comentar&inserir=true&id='.$id.'\'+\'&char=\'+document.getElementById(\'char\').value+\'&comentario=\'+document.getElementById(\'comentario\').value, \'result_comentar\');" value="Comentar" class="button-style"/>Comentar artigo!</button></label><br><br>
  </div>');
}
}
if($_GET["inserir"] == true) {
function formata($texto) {
	$msg1 = stripslashes($texto);
	$msg2 = html_entity_decode($msg1);
	$mensagem = nl2br($msg2);
	return $mensagem;
}
$id = $_GET["id"];
$char = $_GET["char"];
$comentario = $_GET["comentario"];
if($char == "" || empty($comentario)) {
	echo $bbcode->bbcode('<div class="w_note">......Preencha todos os campos.</div>');
}
else{
	mssql_query("insert into CT_NOTICIAS_COMENTARIOS (personagem,comentario,noticiaid) values ('$char','".formata($comentario)."','$id')");
	echo $bbcode->bbcode('<div class="i_note">......Comentario enviado.</div>');
}
}
if($_GET["add"] == true) {
function formata($texto) {
	$msg1 = stripslashes($texto);
	$msg2 = html_entity_decode($msg1);
	$mensagem = nl2br($msg2);
	return $mensagem;
}
$char = $_GET["add_char"];
$titulo = $_GET["add_titulo"];
$comentario = $_GET["add_comentario"];
$noticia = $_GET["add_noticia"];
if($char == "" || empty($titulo) || $comentario == "" || empty($noticia)) {
	exit($bbcode->bbcode('<div class="w_note">......preencha todos os campos!.</div>'));
}
else{
	$data = date("d/m/Y");
	$data2 = "";
	$data3 = date("");
	mssql_query("insert into CT_NOTICIAS (titulo,autor,data,noticia,status) values ('".formata($titulo)."','$char','".$data." ".$data2." ".$data3."','".formata($noticia)."', '$comentario')");
	exit($bbcode->bbcode('<div class="i_note">......Noticia adicionada com sucesso.</div>'));
}
}
if($_GET["alterar"] == true) {
$id = $_GET["al_noticia"];
$not = mssql_fetch_row(mssql_query("select titulo,status,noticia from ct_noticias where id='".$id."'"));
echo '<div class="box_conteudo">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="11%">Título:</td>
    <td width="89%"><label>
      <input type="text" name="al_titulo" id="al_titulo" value="'.$not[0].'" maxlength="100" />
    </label></td>
  </tr>
  <tr>
    <td>Comentário:</td>
    <td><label>
      <select name="al_comentario" id="al_comentario">
      <option value="">Selecione</option>
      <option value="0">Aberto</option>
      <option value="1">Fechado</option>
      </select>
    </label></td>
  </tr>
  <tr>
    <td>Mensagem:</td>
    <td><label>
      <textarea name="al_msg" id="al_msg" cols="45" rows="5">'.$not[2].'</textarea>
    </label></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td><label>
      <input type="submit" name="editar" id="editar" onclick="loading(\'?go=comentar&editar=true&id='.$id.'\'+\'&al_titulo=\'+document.getElementById(\'al_titulo\').value+\'&al_comentario=\'+document.getElementById(\'al_comentario\').value+\'&al_msg=\'+document.getElementById(\'al_msg\').value, \'edit\');" value="Alterar noticia" />
    </label></td>
  </tr>
</table>
</div>
<div id="edit"></div>';
}
if($_GET["editar"] == true) {
$id = $_GET["id"];
function formata($texto) {
	$msg1 = stripslashes($texto);
	$msg2 = html_entity_decode($msg1);
	$mensagem = nl2br($msg2);
	return $mensagem;
}
$titulo = $_GET["al_titulo"];
$coment = $_GET["al_comentario"];
$msg = $_GET["al_msg"];
if($coment == "" || empty($titulo) || empty($msg)) {
	exit($bbcode->bbcode('<div class="w_note">......Preencha todos os campos.</div>'));
}
else{
	mssql_query("update ct_noticias set titulo='".formata($titulo)."',status='$coment',noticia='".formata($msg)."' where id='".$id."'");
	exit($bbcode->bbcode('<div class="i_note">......Alteracao executada com sucesso.</div>'));
}
}
if($_GET["deletar"] == true) {
$id = $_GET["r_noticia"];
mssql_query("delete ct_noticias where id='".$id."'");
mssql_query("delete ct_noticias_comentarios where noticiaid='".$id."'");
exit($bbcode->bbcode('<div class="i_note">......A noticia foi removida.</div>'));
}
?>